# -*- coding: utf-8 -*-
# Generated by Django 1.9.5 on 2016-04-18 15:40
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django_countries.fields
import django_libs.models_mixins


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('sessions', '0001_initial'),
        ('contenttypes', '0002_remove_content_type_name'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Booking',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('gender', models.CharField(blank=True, choices=[(b'mrs', 'Mrs'), (b'mr', 'Mr')], max_length=10, verbose_name='Gender')),
                ('title', models.CharField(blank=True, choices=[(b'dr', 'Dr.'), (b'prof', 'Prof.')], max_length=10, verbose_name='Title')),
                ('forename', models.CharField(blank=True, max_length=20, verbose_name='First name')),
                ('surname', models.CharField(blank=True, max_length=20, verbose_name='Last name')),
                ('nationality', django_countries.fields.CountryField(blank=True, max_length=2, verbose_name='Nationality')),
                ('street1', models.CharField(blank=True, max_length=256, verbose_name='Street 1')),
                ('street2', models.CharField(blank=True, max_length=256, verbose_name='Street 2')),
                ('city', models.CharField(blank=True, max_length=256, verbose_name='City')),
                ('zip_code', models.CharField(blank=True, max_length=256, verbose_name='ZIP/Postal code')),
                ('country', django_countries.fields.CountryField(blank=True, max_length=2, verbose_name='Country')),
                ('email', models.EmailField(blank=True, max_length=254, verbose_name='Email')),
                ('phone', models.CharField(blank=True, max_length=256, verbose_name='Phone')),
                ('special_request', models.TextField(blank=True, max_length=1024, verbose_name='Special request')),
                ('date_from', models.DateTimeField(blank=True, null=True, verbose_name='From')),
                ('date_until', models.DateTimeField(blank=True, null=True, verbose_name='Until')),
                ('creation_date', models.DateTimeField(auto_now_add=True, verbose_name='Creation date')),
                ('booking_id', models.CharField(blank=True, max_length=100, verbose_name='Booking ID')),
                ('notes', models.TextField(blank=True, max_length=1024, verbose_name=b'Notes')),
                ('time_period', models.PositiveIntegerField(blank=True, null=True, verbose_name='Time period')),
                ('time_unit', models.CharField(blank=True, default=b'', max_length=64, verbose_name='Time unit')),
                ('total', models.DecimalField(blank=True, decimal_places=2, max_digits=36, null=True, verbose_name='Total')),
                ('currency', models.CharField(blank=True, max_length=128, verbose_name='Currency')),
            ],
            options={
                'ordering': ['-creation_date'],
            },
        ),
        migrations.CreateModel(
            name='BookingError',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('message', models.CharField(blank=True, max_length=1000, verbose_name='Message')),
                ('details', models.TextField(blank=True, max_length=4000, verbose_name='Details')),
                ('date', models.DateTimeField(auto_now_add=True, verbose_name='Date')),
                ('booking', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='booking.Booking', verbose_name='Booking')),
            ],
        ),
        migrations.CreateModel(
            name='BookingItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('quantity', models.PositiveIntegerField(default=1, verbose_name='Quantity')),
                ('persons', models.PositiveIntegerField(blank=True, null=True, verbose_name='Persons')),
                ('subtotal', models.DecimalField(blank=True, decimal_places=2, max_digits=36, null=True, verbose_name='Subtotal')),
                ('object_id', models.PositiveIntegerField()),
                ('booking', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='booking.Booking', verbose_name='Booking')),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contenttypes.ContentType')),
            ],
            options={
                'ordering': ['-booking__creation_date'],
            },
        ),
        migrations.CreateModel(
            name='BookingStatus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(verbose_name='Slug')),
            ],
            options={
                'abstract': False,
            },
            bases=(django_libs.models_mixins.TranslationModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name='BookingStatusTranslation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128, verbose_name='Name')),
                ('language_code', models.CharField(db_index=True, max_length=15)),
                ('master', models.ForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='translations', to='booking.BookingStatus')),
            ],
            options={
                'managed': True,
                'abstract': False,
                'db_table': 'booking_bookingstatus_translation',
                'db_tablespace': '',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='ExtraPersonInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('forename', models.CharField(max_length=20, verbose_name='First name')),
                ('surname', models.CharField(max_length=20, verbose_name='Last name')),
                ('arrival', models.DateTimeField(blank=True, null=True, verbose_name='Arrival')),
                ('message', models.TextField(blank=True, max_length=1024, verbose_name='Message')),
                ('booking', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='booking.Booking', verbose_name='Booking')),
            ],
            options={
                'ordering': ['-booking__creation_date'],
            },
        ),
        migrations.AddField(
            model_name='booking',
            name='booking_status',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='booking.BookingStatus', verbose_name=b'Booking status'),
        ),
        migrations.AddField(
            model_name='booking',
            name='session',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='sessions.Session', verbose_name='Session'),
        ),
        migrations.AddField(
            model_name='booking',
            name='user',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='bookings', to=settings.AUTH_USER_MODEL, verbose_name='User'),
        ),
        migrations.AlterUniqueTogether(
            name='bookingstatustranslation',
            unique_together=set([('language_code', 'master')]),
        ),
    ]
